A simple photobooth app writen in C#
====================================

- requires .NET sdk 8.0 to build

To Build as a single app (for linux)
====================

```bash
    cd PhotoBooth.Net8
    dotnet publish -c Release -o out -r linux-x64 --self-contained -p:PublishReadyToRun=true -p:PublishSingleFile=true
    cd out
    ./PhotoBooth.Net8
```

To build as .NET Framework 4.8 app for .NET Framework or Mono (for [Wii-linux-ngx](https://tesses.net/apps/tytd/2022/wii.php)) (just mono)
```bash
    cd PhotoBooth.Mono
    dotnet build -o out -c Release
    mono out/*.exe
```

- USES [SDL2-CS](https://github.com/flibitijibibo/SDL2-CS)